/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftjun18predrokg2
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftjun18predrokg2` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftjun18predrokg2`;

/*Table structure for table `agent` */

DROP TABLE IF EXISTS `agent`;

CREATE TABLE `agent` (
  `AgentID` int(11) NOT NULL,
  `ImePrezime` varchar(255) DEFAULT NULL,
  `KorisnickoIme` varchar(255) DEFAULT NULL,
  `Lozinka` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`AgentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `agent` */

insert  into `agent`(`AgentID`,`ImePrezime`,`KorisnickoIme`,`Lozinka`) values (1,'Ivana Ivanic','ivana','ivana1'),(2,'Dusan Dusanic','dusan','dusan1'),(3,'Marko Markovic','marko','marko1');

/*Table structure for table `fizickolice` */

DROP TABLE IF EXISTS `fizickolice`;

CREATE TABLE `fizickolice` (
  `OsiguranikID` int(11) NOT NULL,
  `JMBG` varchar(13) DEFAULT NULL,
  `ImePrezime` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`OsiguranikID`),
  CONSTRAINT `fizickolice_ibfk_1` FOREIGN KEY (`OsiguranikID`) REFERENCES `osiguranik` (`OsiguranikID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `fizickolice` */

insert  into `fizickolice`(`OsiguranikID`,`JMBG`,`ImePrezime`) values (3,'3333333333333','Jovan Jovanovic'),(4,'4444444444444','Marija Markovic'),(5,'5555555555555','Ivan Ivkovic');

/*Table structure for table `kompanija` */

DROP TABLE IF EXISTS `kompanija`;

CREATE TABLE `kompanija` (
  `OsiguranikID` int(11) NOT NULL,
  `PIB` varchar(9) DEFAULT NULL,
  `MaticniBroj` varchar(8) DEFAULT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`OsiguranikID`),
  CONSTRAINT `kompanija_ibfk_1` FOREIGN KEY (`OsiguranikID`) REFERENCES `osiguranik` (`OsiguranikID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `kompanija` */

insert  into `kompanija`(`OsiguranikID`,`PIB`,`MaticniBroj`,`Naziv`) values (1,'100383934','07004044','Fakultet organizacionih nauka'),(2,'222222222','02222222','Bambi');

/*Table structure for table `osiguranik` */

DROP TABLE IF EXISTS `osiguranik`;

CREATE TABLE `osiguranik` (
  `OsiguranikID` int(11) NOT NULL,
  PRIMARY KEY (`OsiguranikID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `osiguranik` */

insert  into `osiguranik`(`OsiguranikID`) values (1),(2),(3),(4),(5);

/*Table structure for table `polisa` */

DROP TABLE IF EXISTS `polisa`;

CREATE TABLE `polisa` (
  `PolisaID` int(11) NOT NULL,
  `Godina` int(11) DEFAULT NULL,
  `OsiguranikID` int(11) DEFAULT NULL,
  `AgentID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PolisaID`),
  KEY `OsiguranikID` (`OsiguranikID`),
  KEY `AgentID` (`AgentID`),
  CONSTRAINT `polisa_ibfk_1` FOREIGN KEY (`OsiguranikID`) REFERENCES `osiguranik` (`OsiguranikID`),
  CONSTRAINT `polisa_ibfk_2` FOREIGN KEY (`AgentID`) REFERENCES `agent` (`AgentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `polisa` */

/*Table structure for table `stavkapolise` */

DROP TABLE IF EXISTS `stavkapolise`;

CREATE TABLE `stavkapolise` (
  `PolisaID` int(11) NOT NULL,
  `RB` int(11) DEFAULT NULL,
  `DatumPrometa` date DEFAULT NULL,
  `Vrednost` decimal(10,2) DEFAULT NULL,
  `Napomena` varchar(255) DEFAULT NULL,
  `VrstaID` int(11) DEFAULT NULL,
  PRIMARY KEY (`PolisaID`),
  KEY `VrstaID` (`VrstaID`),
  CONSTRAINT `stavkapolise_ibfk_1` FOREIGN KEY (`PolisaID`) REFERENCES `polisa` (`PolisaID`),
  CONSTRAINT `stavkapolise_ibfk_2` FOREIGN KEY (`VrstaID`) REFERENCES `vrstaosiguranja` (`VrstaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `stavkapolise` */

/*Table structure for table `vrstaosiguranja` */

DROP TABLE IF EXISTS `vrstaosiguranja`;

CREATE TABLE `vrstaosiguranja` (
  `VrstaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `ProcenatPremije` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`VrstaID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `vrstaosiguranja` */

insert  into `vrstaosiguranja`(`VrstaID`,`Naziv`,`ProcenatPremije`) values (1,'Osiguranje imovine','10.00'),(2,'Obavezno auto-osiguranje','15.00'),(3,'Pomoc na putu - RS','10.00'),(4,'Pomoc na putu - Svet','20.00'),(5,'Zivotno osiguranje','20.00'),(6,'Kasko osiguranje','15.00'),(7,'Putno osiguranje','30.00');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
